{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}
{% import 'macro/_sitting_tabs.html.twig' as macroTab %}
{% import 'macro/_sitting_nav.html.twig' as macroNav %}

{% block body %}
    <div class="col-12">
{#        {{ breadcrumbs() }}#}
    </div>



    <div class="d-flex align-items-center col-12 mt-3">
        <h1 class="flex-grow-1">Détail de la séance {{ sitting.name ~ " " ~ sitting.date|date('d/m/Y') }}</h1>
        {% if  not sitting.isArchived %}
            {{ macroNav.toogleView( path('edit_sitting_project', {'id': sitting.id}) , 'show') }}
        {% endif %}
    </div>

    <div class="col-12">
        <div class="mt-4">
            {{ macro.backButton('sitting_index', {'status' : sitting.isArchived ? 'archived' : 'active'}) }}
        </div>


        <div class="col-12 mt-4 form-white">
            {{ macroTab.showTabs('projects', sitting) }}

            <div class="col-12 px-3 here mt-4">
                <div class="d-flex justify-content-between">
                    {% if isTotalSizeTooBig == true %}
                        <p class="alert alert-warning d-flex justify-content-between w-100">
                            <span> <i class="fa fa-exclamation-triangle"> </i> Le PDF complet ainsi que le zip de la séance n'ont pas été générés car le poids total des fichiers dépasse 200mo </span>
                            <span> Poids Total : {{ totalFilesSize|sizeFormatter }}</span>
                        </p>
                    {% endif %}
                    {% if isTotalSizeTooBig == false %}
                        <p class="text-end w-100">
                            <span class="alert alert-success">  Poids total : {{ totalFilesSize|sizeFormatter }} </span>
                        </p>
                    {% endif %}
                </div>
                <div class="mt-4"></div>
            </div>


            {#  Other Docs #}
            <div class="col-12 px-3 here mt-4 form-white">
                <div class="d-flex justify-content-between">
                    <h2>Autres documents</h2>

                    {% if isOthersSizeTooBig == true %}
                        <p><small>Poids des documents : <span class="text-warning"> <i class="fa fa-exclamation-triangle"> </i> {{ otherdocsFilesSize|sizeFormatter }} </span></small></p>
                    {% endif %}
                    {% if isOthersSizeTooBig == false %}
                        <p><small>Poids des documents : <span class="text-success"> {{ otherdocsFilesSize|sizeFormatter }} </span></small></p>
                    {% endif %}
                </div>
                <div class="mt-4"></div>

                {% if otherdocs | length == 0 %}
                    <div class="text-center">
                        Aucun document associé
                    </div>
                {% endif %}


                {% for otherdoc in otherdocs %}

                    <div class="il-otherdoc">

                        <div class="otherdoc-right">

                            <div class="otherdoc-line">
                                <div class="otherdoc-item">
                                    <b>{{ otherdoc.name }}</b>
                                </div>
                                <div class="otherdoc-item">
                                    {{ otherdoc.file.name }}
                                </div>
                                <div class="projectSize">
                                    <small>{{ otherdoc.file.size|sizeFormatter }}</small>
                                </div>
                                <div class="otherdoc-item action">
                                    <a class="btn btn-outline-secondary borderless"
                                       href="{{ path('file_download', {'id': otherdoc.file.id}) }}"
                                       title="Télécharger le document">
                                        <span class="fas fa-download"></span>
                                    </a>
                                </div>

                            </div>

                        </div>
                    </div>
                {% endfor %}
            </div>


            <div class="col-12 px-3 mt-4 form-white">
                <div class="d-flex justify-content-between">
                    <h2>Projets</h2>
                    {% if isProjectsSizeTooBig == true %}
                        <p><small>Poids des projets : <span class="text-warning"> <i class="fa fa-exclamation-triangle"></i> {{ projectsFilesSize|sizeFormatter }} </span> </small></p>
                    {% endif %}
                    {% if isProjectsSizeTooBig == false %}
                        <p> <small>Poids des projets : <span class="text-success">{{ projectsFilesSize|sizeFormatter }} </span></small></p>
                    {% endif %}
                </div>


                <div class="mt-4"></div>

                {% if projects | length == 0 %}
                    <div class="text-center">
                        Aucun projet associé
                    </div>
                {% endif %}


                {% for project in projects %}

                    <div class="il-project">
                        <div class="project-left">
                            <span class="badge bg-primary rank">{{ project.rank + 1 }}</span>
                        </div>

                        <div class="project-right">

                            <div class="project-line">
                                <div class="project-item">
                                    <b>{{ project.name }}</b>
                                </div>
                                <div class="project-item">
                                    {{ project.file.name }}
                                </div>
                                <div class="projectSize">
                                    <small>{{ project.file.size|sizeFormatter }}</small>
                                </div>
                                <div class="project-item action">
                                    <a class="btn btn-outline-secondary borderless"
                                       href="{{ path('file_download', {'id': project.file.id}) }}"
                                       title="Télécharger le projet">
                                        <span class="fas fa-download"></span>
                                    </a>
                                </div>

                            </div>

                            <div class="project-line">
                                <div class="project-item">
                                    {% if project.reporter %}
                                        Rapporteur : {{ project.reporter.firstName }} {{ project.reporter.lastName }}
                                    {% endif %}
                                </div>
                                <div class="project-item">
                                    {% if project.theme.fullName is defined %}
                                        Thème : {{ project.theme.fullName }}
                                    {% endif %}
                                </div>
                                <div class="project-item action"></div>

                            </div>

                            <div class="annex-list">
                                {% for annex in project.annexes %}

                                    <div class="project-line annex">
                                        <div class="project-item">{{ annex.rank + 1 }} - {{ annex.title ? annex.title : annex.file.name }}</div>
                                        <div class="project-item">{{ annex.file.name }}</div>
                                        <div class="annexeSize"><small> {{ annex.file.size|sizeFormatter }} </small></div>
                                        <div class="project-item action">
                                            <a class="btn btn-outline-secondary borderless"
                                               href="{{ path('file_download', {'id': annex.file.id}) }}"
                                               title="Télécharger l'annexe">
                                                <span class="fas fa-download"></span>
                                            </a>
                                        </div>
                                    </div>

                                {% endfor %}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>

    </div>

    <div>&nbsp</div>

{% endblock %}
